package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Zmqxrt;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface ZmqxrtMapper {

        int insertSelective(Zmqxrt record);

        int updateByPrimaryKeySelective(Zmqxrt record);

        int updateByPrimaryKey(Zmqxrt record);

        int deleteByPrimaryKey(Zmqxrt record);

        int deleteByIds(Collection<Object> collection);

        Zmqxrt selectByPrimaryKey(Zmqxrt record);

        Zmqxrt selectByCurWithDatRng(@Param("cur") String cur, @Param("curDat") Date curDat);

        int dyncDelete(Map<String, Object> dyncMap);

        List<Zmqxrt> dyncRead(Map<String, Object> dyncMap);

        List<Zmqxrt> getZmqxrtByConditionSql(@Param(value = "conditionSql") String conditionSql);

        Zmqxrt queryById(@Param("inr") String inr);

        List<Zmqxrt> queryAllByLimit(Zmqxrt zmqxrt);

        List<Zmqxrt> queryRiMoByPage(Zmqxrt zmqxrt);

        long count(Zmqxrt zmqxrt);

        int insert(Zmqxrt zmqxrt);

        int update(Zmqxrt zmqxrt);

        int deleteById(@Param("inr") String inr);

        }